For the complete documentation index, see llms.txt. This page is also available as Markdown.

Swap

Swap between balance currencies

List swap rates

get
/api/v1/swap/rates
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Responses
200

Swap rates retrieved successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/swap/rates
GET /api/v1/swap/rates HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Accept: */*
200

Swap rates retrieved successfully

{
  "success": true,
  "message": "Success",
  "data": [
    {
      "fromCurrency": "USDT",
      "toCurrency": "NGN",
      "rate": "1490.00000000",
      "timestamp": "2026-07-27T10:30:00.000Z"
    }
  ]
}

Estimate swap amount

get
/api/v1/swap/estimate
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Query parameters
fromCurrencystring · enumRequired

Currency to swap from

Example: USDTPossible values:
toCurrencystring · enumRequired

Currency to swap to

Example: NGNPossible values:
amountstringRequired

Amount to swap

Example: 100.00
Responses
200

Swap estimation retrieved successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/swap/estimate
GET /api/v1/swap/estimate?fromCurrency=USDT&toCurrency=NGN&amount=100.00 HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "message": "Success",
  "data": {
    "fromCurrency": "NGN",
    "toCurrency": "NGN",
    "sourceAmount": "100.00",
    "targetAmount": "149000.00",
    "rate": "1490.00000000"
  }
}

Create a swap quotation

post
/api/v1/swap/quotation

Creates a swap quotation that locks the rate for 30 seconds. Execute the quotation before it expires.

Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Body
fromCurrencystring · enumRequired

Currency to swap from

Example: USDTPossible values:
toCurrencystring · enumRequired

Currency to swap to

Example: NGNPossible values:
amountstringRequired

Amount to swap

Example: 100.00
Responses
201

Quotation created successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
post/api/v1/swap/quotation
POST /api/v1/swap/quotation HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "fromCurrency": "USDT",
  "toCurrency": "NGN",
  "amount": "100.00"
}
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
    "fromCurrency": "NGN",
    "toCurrency": "NGN",
    "sourceAmount": "100.00",
    "targetAmount": "149000.00",
    "rate": "1490.00000000",
    "executed": true,
    "expiresAt": "2024-05-12T10:00:15.000Z",
    "createdAt": "2024-05-12T10:00:00.000Z"
  }
}

Get swap quotation by ID

get
/api/v1/swap/quotation/{quotationId}
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Path parameters
quotationIdstringRequired
Responses
200

Quotation retrieved successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/swap/quotation/{quotationId}
GET /api/v1/swap/quotation/{quotationId} HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
    "fromCurrency": "NGN",
    "toCurrency": "NGN",
    "sourceAmount": "100.00",
    "targetAmount": "149000.00",
    "rate": "1490.00000000",
    "executed": true,
    "expiresAt": "2024-05-12T10:00:15.000Z",
    "createdAt": "2024-05-12T10:00:00.000Z"
  }
}

Execute swap quotation

post
/api/v1/swap/execute/{quotationId}
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Path parameters
quotationIdstringRequired
Body
webhookUrlstringOptional

Optional URL to receive webhook notifications for this swap (must be HTTPS). Overrides your dashboard webhook URL for this swap only.

Example: https://example.com/webhooks
Responses
200

Swap completed successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
post/api/v1/swap/execute/{quotationId}
POST /api/v1/swap/execute/{quotationId} HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "webhookUrl": "https://example.com/webhooks"
}
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
    "fromCurrency": "NGN",
    "toCurrency": "NGN",
    "sourceAmount": "100.00",
    "targetAmount": "149000.00",
    "rate": "1490.00000000",
    "status": "completed",
    "quotation": {
      "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
      "fromCurrency": "NGN",
      "toCurrency": "NGN",
      "sourceAmount": "100.00",
      "targetAmount": "149000.00",
      "rate": "1490.00000000",
      "executed": true,
      "expiresAt": "2024-05-12T10:00:15.000Z",
      "createdAt": "2024-05-12T10:00:00.000Z"
    },
    "createdAt": "2024-05-12T10:00:00.000Z",
    "completedAt": "2024-05-12T10:00:15.000Z"
  }
}

List swaps

get
/api/v1/swaps
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Query parameters
pagenumber · min: 1Optional

Page number (1-based)

Default: 1Example: 1
sizenumber · min: 1 · max: 100Optional

Number of items per page

Default: 10Example: 10
fromCurrencystring · enumOptional

Filter by source currency

Example: USDTPossible values:
toCurrencystring · enumOptional

Filter by target currency

Example: NGNPossible values:
startDatestringOptional

Start date for filtering (ISO string)

Example: 2024-01-01T00:00:00Z
endDatestringOptional

End date for filtering (ISO string)

Example: 2024-12-31T23:59:59Z
Responses
200

Swap history retrieved successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/swaps
GET /api/v1/swaps HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Accept: */*
200

Swap history retrieved successfully

{
  "success": true,
  "message": "Success",
  "data": [
    {
      "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
      "fromCurrency": "NGN",
      "toCurrency": "NGN",
      "sourceAmount": "100.00",
      "targetAmount": "149000.00",
      "rate": "1490.00000000",
      "status": "completed",
      "quotation": {
        "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
        "fromCurrency": "NGN",
        "toCurrency": "NGN",
        "sourceAmount": "100.00",
        "targetAmount": "149000.00",
        "rate": "1490.00000000",
        "executed": true,
        "expiresAt": "2024-05-12T10:00:15.000Z",
        "createdAt": "2024-05-12T10:00:00.000Z"
      },
      "createdAt": "2024-05-12T10:00:00.000Z",
      "completedAt": "2024-05-12T10:00:15.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "size": 10,
    "total": 42,
    "totalPages": 5
  }
}

Get swap details by ID

get
/api/v1/swaps/{id}
Authorizations
x-api-keystringRequired

Your API key (obtain from dashboard)

Path parameters
idstringRequired
Responses
200

Swap details retrieved successfully

application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/swaps/{id}
GET /api/v1/swaps/{id} HTTP/1.1
Host: api.coincircuit.io
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
    "fromCurrency": "NGN",
    "toCurrency": "NGN",
    "sourceAmount": "100.00",
    "targetAmount": "149000.00",
    "rate": "1490.00000000",
    "status": "completed",
    "quotation": {
      "id": "b1a2c3d4-e5f6-7890-1234-56789abcdef0",
      "fromCurrency": "NGN",
      "toCurrency": "NGN",
      "sourceAmount": "100.00",
      "targetAmount": "149000.00",
      "rate": "1490.00000000",
      "executed": true,
      "expiresAt": "2024-05-12T10:00:15.000Z",
      "createdAt": "2024-05-12T10:00:00.000Z"
    },
    "createdAt": "2024-05-12T10:00:00.000Z",
    "completedAt": "2024-05-12T10:00:15.000Z"
  }
}

Last updated

Was this helpful?